Skip to main content
PUT
/
webhooks
/
{webhook_id}
Update Webhook Public
curl --request PUT \
  --url https://api.example.com/webhooks/{webhook_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "is_active": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "isActive": true,
  "failureCount": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "lastTriggeredAt": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

webhook_id
string<uuid>
required

Body

application/json

Schema for updating a webhook.

name
string | null
Required string length: 1 - 255
url
string<uri> | null
Required string length: 1 - 2083
events
string[] | null
Minimum array length: 1
is_active
boolean | null

Response

Successful Response

Schema for webhook response.

id
string<uuid>
required
name
string
required
url
string
required
events
string[]
required
isActive
boolean
required
failureCount
integer
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
lastTriggeredAt
string<date-time> | null